Index: Makefile
===================================================================
--- Makefile	(revision 450274)
+++ Makefile	(working copy)
@@ -2,6 +2,7 @@
 
 PORTNAME=	vm-bhyve
 PORTVERSION=	1.1.8
+PORTREVISION=	1
 DISTVERSIONPREFIX=v
 CATEGORIES=	sysutils
 
Index: files/patch-lib_vm-util
===================================================================
--- files/patch-lib_vm-util	(revision 0)
+++ files/patch-lib_vm-util	(working copy)
@@ -0,0 +1,22 @@
+--- lib/vm-util.orig
++++ lib/vm-util
+@@ -55,7 +55,7 @@
+ # @modifies VM_NO_UG
+ #
+ util::check_bhyve_support(){
+-    local _mesg _result
++    local _mesg _mesg1 _mesg2 _result
+ 
+     # basic checks
+     [ `id -u` -ne 0 ] && util::err "virtual machines can only be managed by root"
+@@ -73,7 +73,9 @@
+     fi
+ 
+     # check ept for intel
+-    _mesg=$(grep -E '^[ ]+VT-x' /var/run/dmesg.boot | tail -n 1)
++    _mesg1=$(grep -E '^[ ]+VT-x' /var/run/dmesg.boot | tail -n 1)
++    _mesg2=$(grep -E '^[ ]+Secondary Processor Controls' /var/run/dmesg.boot | tail -n 1)
++    _mesg="${_mesg1}${_mesg2}"
+ 
+     if [ -n "${_mesg}" ]; then
+ 

Property changes on: files/patch-lib_vm-util
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: files/patch-lib_vm-zfs
===================================================================
--- files/patch-lib_vm-zfs	(revision 0)
+++ files/patch-lib_vm-zfs	(working copy)
@@ -0,0 +1,11 @@
+--- lib/vm-zfs.orig
++++ lib/vm-zfs
+@@ -45,7 +45,7 @@
+ 
+     # check for zfs storage location
+     # user should specify "zfs:pool/dataset" if they want ZFS support
+-    if [ ${vm_dir%%:*} = "zfs" ]; then
++    if [ "${vm_dir%%:*}" = "zfs" ]; then
+ 
+         # check zfs running
+         kldstat -qm zfs >/dev/null 2>&1

Property changes on: files/patch-lib_vm-zfs
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
